# Uses of Interface
com.logicaldoc.core.document.DocumentDAO

Packages that use DocumentDAO
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.searchengine
The core of the search engine.
com.logicaldoc.core.ticket

## Uses of DocumentDAO in com.logicaldoc.core.document

Classes in com.logicaldoc.core.document that implement DocumentDAO
Modifier and Type
Class
Description
`class`
`HibernateDocumentDAO`
Hibernate implementation of `DocumentDAO`
Methods in com.logicaldoc.core.document that return DocumentDAO
Modifier and Type
Method
Description
`static DocumentDAO`
DocumentDAO.`get()`
Gets the object available in the application context

## Uses of DocumentDAO in com.logicaldoc.core.searchengine

Methods in com.logicaldoc.core.searchengine with parameters of type DocumentDAO
Modifier and Type
Method
Description
`void`
StandardSearchEngine.`setDocumentDao(DocumentDAO documentDao)`

## Uses of DocumentDAO in com.logicaldoc.core.ticket

Methods in com.logicaldoc.core.ticket that return DocumentDAO
Modifier and Type
Method
Description
`DocumentDAO`
HibernateTicketDAO.`getDocumentDAO()`
Methods in com.logicaldoc.core.ticket with parameters of type DocumentDAO
Modifier and Type
Method
Description
`void`
HibernateTicketDAO.`setDocumentDAO(DocumentDAO documentDAO)`
Constructors in com.logicaldoc.core.ticket with parameters of type DocumentDAO
Modifier
Constructor
Description
``
`HibernateTicketDAO(DocumentDAO documentDAO, ContextProperties config)`